- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# LobbyDBSpec::CreateUser_Data Class Reference

Adds a user to the users table. More...

`#include <LobbyDBSpec.h>`

Inheritance diagram for LobbyDBSpec::CreateUser_Data:

List of all members.

## Public Attributes
RakNet::RakString | handle
| [in] Identifier for the user, cannot exist in the table disallowedHandles
RakNet::RakString | firstName
| [in] Self-apparent
RakNet::RakString | middleName
| [in] Self-apparent
RakNet::RakString | lastName
| [in] Self-apparent
RakNet::RakString | race
| [in] Self-apparent
RakNet::RakString | sex
| [in] Self-apparent
RakNet::RakString | homeAddress1
| [in] Self-apparent
RakNet::RakString | homeAddress2
| [in] Self-apparent
RakNet::RakString | homeCity
| [in] Self-apparent
RakNet::RakString | homeState
| [in] Self-apparent
RakNet::RakString | homeProvince
| [in] Self-apparent
RakNet::RakString | homeCountry
| [in] Self-apparent
RakNet::RakString | homeZipCode
| [in] Self-apparent
RakNet::RakString | billingAddress1
| [in] Self-apparent
RakNet::RakString | billingAddress2
| [in] Self-apparent
RakNet::RakString | billingCity
| [in] Self-apparent
RakNet::RakString | billingState
| [in] Self-apparent
RakNet::RakString | billingProvince
| [in] Self-apparent
RakNet::RakString | billingCountry
| [in] Self-apparent
RakNet::RakString | billingZipCode
| [in] Self-apparent
RakNet::RakString | emailAddress
| [in] Self-apparent
RakNet::RakString | password
| [in] Self-apparent
RakNet::RakString | passwordRecoveryQuestion
| [in] If the user needs to retrieve their password; you could ask them this question.
RakNet::RakString | passwordRecoveryAnswer
| [in] If the user needs to retrieve their password; you could use this for the answer.
RakNet::RakString | caption1
| [in] Lobbies often allow users to set a text description of their user in some fashion.
RakNet::RakString | caption2
| [in] Lobbies often allow users to set a text description of their user in some fashion.
RakNet::RakString | caption3
| [in] Lobbies often allow users to set a text description of their user in some fashion.
RakNet::RakString | dateOfBirth
| [in] Self-apparent
DatabaseKey | accountNumber
| [in] If you want to have some kind of unique account number; it can be stored here.
RakNet::RakString | creditCardNumber
| [in] In case you take credit cards
RakNet::RakString | creditCardExpiration
| [in] In case you take credit cards
RakNet::RakString | creditCardCVV
| [in] In case you take credit cards
RakNet::RakString | adminLevel
| [in] If your lobby supports moderators; you can indicate what moderator level they have here
RakNet::RakString | permissions
float | accountBalance
| [in] If users can associate money with their account; the current balance can be stored here.
RakNet::RakString | sourceIPAddress
| [in] In case you want to log IPs
char * | binaryData
| [in] If your lobby supports binary data (such as user images) it can be stored with this field.
unsigned int | binaryDataLength
| [in] If your lobby supports binary data (such as user images) the length can be in this field.

## Detailed Description

Adds a user to the users table.

## Member Data Documentation

RakNet::RakString LobbyDBSpec::CreateUser_Data::permissions

[in] Special account permissions; such as being able to chat; join adult games; etc. Encode using text however you wish. TODO - Per-column read/write/update permissions for self or others.

The documentation for this class was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby/LobbyDBSpec.h
- C:/RakNet/DependentExtensions/Lobby/LobbyDBSpec.cpp